<template>
    <div class="pd10">
        <el-tabs v-model="activeName" type="border-card">
            <el-tab-pane label="主网台账统计" name="first" :style="'height:' + vh + ';'">
                <MainNetwork v-if="activeName == 'first'" />
            </el-tab-pane>
            <el-tab-pane label="配网台账统计" name="second" :style="'height:' + vh + ';'">
                <DistributionNetwork v-if="activeName == 'second'" />
            </el-tab-pane>
        </el-tabs>
    </div>
</template>
<script>
import MainNetwork from './components/accountstatistics/MainNetwork.vue'
import DistributionNetwork from './components/accountstatistics/DistributionNetwork.vue'
export default {
    name: 'tzhztj',
    components: { MainNetwork, DistributionNetwork },
    props: {},
    data() {
        return {
            vh: '',
            activeName: 'first'
        }
    },
    created() {},
    mounted() {
        this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
            this.device = window.devicePixelRatio
            this.vh = window.sessionStorage.getItem('appheight') - 83 + 'px'
        }
    },

    computed: {},

    watch: {}
}
</script>
<style lang="less" scoped>
@import url('../../styles/comStyle.less');
::v-deep .el-tabs--border-card > .el-tabs__content {
    padding: 10px;
}
</style>
